Loading...
Searching...
No Matches
elastix::MissingStructurePenalty< TElastix > Class Template Reference

`#include <elxMissingStructurePenalty.h>`

## Detailed Description

template<class TElastix>
class elastix::MissingStructurePenalty< TElastix >

Computes the (pseudo) volume of the transformed surface mesh of a structure.
A metric based on the itk::MissingStructurePenalty.

Author
  F.F. Berendsen, Image Sciences Institute, UMC Utrecht, The Netherlands

Note
  If you use the MissingStructurePenalty anywhere we would appreciate if you cite the following article:
  F.F. Berendsen, A.N.T.J. Kotte, A.A.C. de Leeuw, I.M. Juergenliemk-Schulz,
  M.A. Viergever and J.P.W. Pluim "Registration of structurally dissimilar \n images in MRI-based brachytherapy ", Phys. Med. Biol. 59 (2014) 4033-4045.
  http://stacks.iop.org/0031-9155/59/4033 The parameters used in this class are:

Parameters

  Metric: Select this metric as follows:
  (Metric "MissingStructurePenalty")

  (WriteResultMeshAfterEachIteration "True")

  (WriteResultMeshAfterEachResolution "True") The command-line options for input meshes is: -fmesh<[A-Z]><MetricNumber>.

Definition at line 54 of file elxMissingStructurePenalty.h.

Inheritance diagram for elastix::MissingStructurePenalty< TElastix >:
[legend]

## Public Types

using | CombinationTransformType = itk::AdvancedCombinationTransform<CoordRepType, Self::FixedImageDimension>
using | ConstPointer = itk::SmartPointer<const Self>
using | CoordRepType = typename OutputPointType::CoordRepType
using | FixedImageType
using | ImageType = FixedImageType
using | InitialTransformType = typename CombinationTransformType::InitialTransformType
using | ITKBaseType = typename Superclass2::ITKBaseType
using | MeshType = FixedMeshType
using | MovingImageType
using | Pointer = itk::SmartPointer<Self>
using | PointSetType = FixedPointSetType
using | Self = MissingStructurePenalty
using | Superclass1
using | Superclass2 = MetricBase<TElastix>
Public Types inherited from itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >
using | CellInterfaceType = typename MeshTraitsType::CellType
using | ConstPointer = SmartPointer<const Self>
using | CoordRepType = typename OutputPointType::CoordRepType
using | DerivativeValueType
using | DummyMeshPixelType = unsigned char
using | FixedMeshConstPointer = typename FixedMeshType::ConstPointer
using | FixedMeshContainerConstPointer = typename FixedMeshContainerType::ConstPointer
using | FixedMeshContainerElementIdentifier = typename FixedMeshContainerType::ElementIdentifier
using | FixedMeshContainerPointer = typename FixedMeshContainerType::Pointer
using | FixedMeshContainerType = VectorContainer<MeshIdType, FixedMeshConstPointer>
using | FixedMeshPointer = typename FixedMeshType::Pointer
using | FixedMeshPointIdentifier = typename FixedMeshType::PointIdentifier
using | FixedMeshType = Mesh<DummyMeshPixelType, FixedPointSetDimension, MeshTraitsType>
using | InputPointType
using | MappedMeshContainerConstPointer = typename MappedMeshContainerType::ConstPointer
using | MappedMeshContainerPointer = typename MappedMeshContainerType::Pointer
using | MappedMeshContainerType = VectorContainer<MeshIdType, FixedMeshPointer>
using | MeshIdType = unsigned int
using | MeshPointDataContainerConstIteratorType = typename FixedMeshType::PointDataContainerIterator
using | MeshPointDataContainerConstPointer = typename FixedMeshType::PointDataContainerConstPointer
using | MeshPointDataContainerIteratorType = typename MeshPointDataContainerType::Iterator
using | MeshPointDataContainerPointer = typename FixedMeshType::PointDataContainerPointer
using | MeshPointDataContainerType = typename FixedMeshType::PointDataContainer
using | MeshPointsContainerConstIteratorType = typename FixedMeshType::PointsContainerConstIterator
using | MeshPointsContainerConstPointer = typename MeshPointsContainerType::ConstPointer
using | MeshPointsContainerIteratorType = typename FixedMeshType::PointsContainerIterator
using | MeshPointsContainerPointer = typename MeshPointsContainerType::Pointer
using | MeshPointsContainerType = typename FixedMeshType::PointsContainer
using | MeshPointsDerivativeValueType = Array<DerivativeValueType>
using | MeshPointType = typename FixedMeshType::PointType
using | MeshTraitsType
using | NonZeroJacobianIndicesType
using | OutputPointType
using | Pointer = SmartPointer<Self>
using | Self = MissingVolumeMeshPenalty
using | SubVectorType = itk::Vector<typename VectorType::ValueType, FixedPointSetDimension - 1>
using | Superclass = SingleValuedPointSetToPointSetMetric<TFixedPointSet, TMovingPointSet>
using | TransformJacobianType
using | TransformParametersType
using | TransformPointer
using | TransformType
using | VectorConstPointer = typename VectorType::const_pointer
using | VectorType = typename FixedMeshType::PointType::VectorType
using | VnlVectorType = vnl_vector<CoordRepType>
Public Types inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
using | ConstPointer = SmartPointer<const Self>
using | CoordinateRepresentationType = Superclass::ParametersValueType
using | DerivativeValueType = typename DerivativeType::ValueType
using | FixedImageMaskConstPointer = typename FixedImageMaskType::ConstPointer
using | FixedImageMaskPointer = typename FixedImageMaskType::Pointer
using | FixedImageMaskType = ImageMaskSpatialObject<Self::FixedPointSetDimension>
using | FixedPointSetConstPointer = typename FixedPointSetType::ConstPointer
using | FixedPointSetPixelType = typename FixedPointSetType::PixelType
using | FixedPointSetType = TFixedPointSet
using | InputPointType = typename TransformType::InputPointType
using | MovingImageMaskConstPointer = typename MovingImageMaskType::ConstPointer
using | MovingImageMaskPointer = typename MovingImageMaskType::Pointer
using | MovingImageMaskType = ImageMaskSpatialObject<Self::MovingPointSetDimension>
using | MovingPointSetConstPointer = typename MovingPointSetType::ConstPointer
using | MovingPointSetPixelType = typename MovingPointSetType::PixelType
using | MovingPointSetType = TMovingPointSet
using | NonZeroJacobianIndicesType = typename TransformType::NonZeroJacobianIndicesType
using | OutputPointType = typename TransformType::OutputPointType
using | PointDataIterator = typename FixedPointSetType::PointDataContainer::ConstIterator
using | Pointer = SmartPointer<Self>
using | PointIterator = typename FixedPointSetType::PointsContainer::ConstIterator
using | Self = SingleValuedPointSetToPointSetMetric
using | Superclass = SingleValuedCostFunction
using | TransformJacobianType = typename TransformType::JacobianType
using | TransformParametersType = typename TransformType::ParametersType
using | TransformPointer = typename TransformType::Pointer
using | TransformType
Public Types inherited from elastix::MetricBase< TElastix >
using | AdvancedMetricType = itk::AdvancedImageToImageMetric<FixedImageType, MovingImageType>
using | CoordinateRepresentationType = typename ITKBaseType::ParametersValueType
using | ElastixType
using | FixedImageType = typename ElastixType::FixedImageType
using | FixedPointSetType
using | FixedPointType = typename FixedImageType::PointType
using | FixedPointValueType = typename FixedPointType::ValueType
using | ImageSamplerBaseType = typename AdvancedMetricType::ImageSamplerType
using | ITKBaseType = itk::SingleValuedCostFunction
using | MeasureType = typename ITKBaseType::MeasureType
using | MovingImageDerivativeScalesType = typename AdvancedMetricType::MovingImageDerivativeScalesType
using | MovingImageType = typename ElastixType::MovingImageType
using | MovingPointSetType
using | MovingPointType = typename MovingImageType::PointType
using | MovingPointValueType = typename MovingPointType::ValueType
using | RegistrationType
using | Self = MetricBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

void | AfterEachIteration () override
void | AfterEachResolution () override
int | BeforeAllBase () override
void | BeforeRegistration () override
| elxClassNameMacro ("MissingStructurePenalty")
virtual const char * | GetClassName () const
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (MissingStructurePenalty)
| itkStaticConstMacro (FixedImageDimension, unsigned int, FixedImageType::ImageDimension)
| itkStaticConstMacro (MovingImageDimension, unsigned int, MovingImageType::ImageDimension)
unsigned int | ReadMesh (const std::string &meshFileName, typename FixedMeshType::Pointer &mesh)
unsigned int | ReadTransformixPoints (const std::string &filename, typename MeshType::Pointer &mesh)
void | SelectNewSamples () override
void | WriteResultMesh (const std::string &filename, MeshIdType meshId)
Public Member Functions inherited from itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >
void | GetDerivative (const TransformParametersType &parameters, DerivativeType &Derivative) const override
virtual const FixedMeshContainerType * | GetFixedMeshContainer ()
MeasureType | GetValue (const TransformParametersType &parameters) const override
void | GetValueAndDerivative (const TransformParametersType &parameters, MeasureType &Value, DerivativeType &Derivative) const override
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (MissingVolumeMeshPenalty)
| itkGetModifiableObjectMacro (MappedMeshContainer, MappedMeshContainerType)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, Superclass::FixedPointSetDimension)
| itkStaticConstMacro (MovingPointSetDimension, unsigned int, Superclass::MovingPointSetDimension)
virtual void | SetFixedMeshContainer (const FixedMeshContainerType *_arg)
virtual void | SetMappedMeshContainer (MappedMeshContainerType *_arg)
Public Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
virtual void | BeforeThreadedGetValueAndDerivative (const TransformParametersType &parameters) const
virtual const FixedImageMaskType * | GetFixedImageMask ()
virtual const FixedPointSetType * | GetFixedPointSet ()
virtual const MovingImageMaskType * | GetMovingImageMask ()
virtual const MovingPointSetType * | GetMovingPointSet ()
unsigned int | GetNumberOfParameters () const override
virtual const TransformType * | GetTransform ()
virtual const bool & | GetUseMetricSingleThreaded ()
| ITK_DISALLOW_COPY_AND_MOVE (SingleValuedPointSetToPointSetMetric)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, TFixedPointSet::PointDimension)
| itkStaticConstMacro (MovingPointSetDimension, unsigned int, TMovingPointSet::PointDimension)
virtual void | SetFixedImageMask (const FixedImageMaskType *_arg)
virtual void | SetFixedPointSet (const FixedPointSetType *_arg)
virtual void | SetMovingImageMask (const MovingImageMaskType *_arg)
virtual void | SetMovingPointSet (const MovingPointSetType *_arg)
virtual void | SetTransform (TransformType *_arg)
void | SetTransformParameters (const ParametersType &parameters) const
virtual void | SetUseMetricSingleThreaded (bool _arg)
virtual void | UseMetricSingleThreadedOff ()
virtual void | UseMetricSingleThreadedOn ()
Public Member Functions inherited from elastix::MetricBase< TElastix >
void | AfterEachIterationBase () override
void | BeforeEachResolutionBase () override
virtual ImageSamplerBaseType * | GetAdvancedMetricImageSampler () const
virtual bool | GetAdvancedMetricUseImageSampler () const
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
virtual MeasureType | GetCurrentExactMetricValue () const
virtual bool | GetShowExactMetricValue () const
| ITK_DISALLOW_COPY_AND_MOVE (MetricBase)
| itkStaticConstMacro (FixedImageDimension, unsigned int, FixedImageType::ImageDimension)
| itkStaticConstMacro (MovingImageDimension, unsigned int, MovingImageType::ImageDimension)
virtual void | SetAdvancedMetricImageSampler (ImageSamplerBaseType *sampler)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual void | BeforeEachResolution ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >
static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| MissingStructurePenalty ()
| ~MissingStructurePenalty () override=default
Protected Member Functions inherited from itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >
| MissingVolumeMeshPenalty ()
| ~MissingVolumeMeshPenalty () override=default
Protected Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
void | PrintSelf (std::ostream &os, Indent indent) const override
| SingleValuedPointSetToPointSetMetric ()=default
| ~SingleValuedPointSetToPointSetMetric () override=default
Protected Member Functions inherited from elastix::MetricBase< TElastix >
virtual MeasureType | GetExactValue (const ParametersType &parameters)
| MetricBase ()=default
| ~MetricBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro
unsigned int | m_NumberOfMeshes

## Additional Inherited Members

Protected Types inherited from elastix::MetricBase< TElastix >
using | ExactMetricImageSamplerPointer = typename ExactMetricImageSamplerType::Pointer
using | ExactMetricImageSamplerType = itk::ImageGridSampler<FixedImageType>
using | ExactMetricSampleGridSpacingType = typename ExactMetricImageSamplerType::SampleGridSpacingType
using | ParametersType = typename ITKBaseType::ParametersType
Protected Attributes inherited from itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >
FixedMeshConstPointer | m_FixedMesh {}
FixedMeshContainerConstPointer | m_FixedMeshContainer {}
MappedMeshContainerPointer | m_MappedMeshContainer {}
Protected Attributes inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
FixedImageMaskConstPointer | m_FixedImageMask { nullptr }
FixedPointSetConstPointer | m_FixedPointSet { nullptr }
MovingImageMaskConstPointer | m_MovingImageMask { nullptr }
MovingPointSetConstPointer | m_MovingPointSet { nullptr }
unsigned int | m_NumberOfPointsCounted { 0 }
TransformPointer | m_Transform { nullptr }
bool | m_UseMetricSingleThreaded { true }
Protected Attributes inherited from elastix::MetricBase< TElastix >
MeasureType | m_CurrentExactMetricValue { 0.0 }
unsigned int | m_ExactMetricEachXNumberOfIterations { 1 }
ExactMetricSampleGridSpacingType | m_ExactMetricSampleGridSpacing
ExactMetricImageSamplerPointer | m_ExactMetricSampler { nullptr }
bool | m_ShowExactMetricValue { false }
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## CombinationTransformType

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::CombinationTransformType = itk::AdvancedCombinationTransform<CoordRepType, Self::FixedImageDimension>

Definition at line 117 of file elxMissingStructurePenalty.h.

## ConstPointer

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 68 of file elxMissingStructurePenalty.h.

## CoordRepType

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::CoordRepType = typename OutputPointType::CoordRepType

Definition at line 114 of file elxMissingStructurePenalty.h.

## FixedImageType

template<class TElastix>

using elastix::MetricBase< TElastix >::FixedImageType

Other typedef's.

Definition at line 89 of file elxMetricBase.h.

## ImageType

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::ImageType = FixedImageType

Definition at line 136 of file elxMissingStructurePenalty.h.

## InitialTransformType

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::InitialTransformType = typename CombinationTransformType::InitialTransformType

Definition at line 118 of file elxMissingStructurePenalty.h.

## ITKBaseType

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 123 of file elxMissingStructurePenalty.h.

## MeshType

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::MeshType = FixedMeshType

Definition at line 135 of file elxMissingStructurePenalty.h.

## MovingImageType

template<class TElastix>

using elastix::MetricBase< TElastix >::MovingImageType

Definition at line 92 of file elxMetricBase.h.

## Pointer

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 67 of file elxMissingStructurePenalty.h.

## PointSetType

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::PointSetType = FixedPointSetType

Assuming fixed and moving pointsets are of equal type, which implicitly assumes that the fixed and moving image are of the same type.

Definition at line 134 of file elxMissingStructurePenalty.h.

## Self

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::Self = MissingStructurePenalty

Standard ITK-stuff.

Definition at line 63 of file elxMissingStructurePenalty.h.

## Superclass1

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::Superclass1

Initial value:
itk::MissingVolumeMeshPenalty<typename MetricBase<TElastix>::FixedPointSetType,
typename MetricBase<TElastix>::MovingPointSetType>
elastix::MetricBase::MovingPointSetType
itk::PointSet< CoordinateRepresentationType, MovingImageDimension, itk::DefaultStaticMeshTraits< CoordinateRepresentationType, MovingImageDimension, MovingImageDimension, CoordinateRepresentationType, CoordinateRepresentationType, CoordinateRepresentationType > > MovingPointSetType
Definition elxMetricBase.h:116
itk::MissingVolumeMeshPenalty
Computes the (pseudo) volume of the transformed surface mesh of a structure. .
Definition itkMissingStructurePenalty.h:46

Definition at line 64 of file elxMissingStructurePenalty.h.

## Superclass2

template<class TElastix>

using elastix::MissingStructurePenalty< TElastix >::Superclass2 = MetricBase<TElastix>

Definition at line 66 of file elxMissingStructurePenalty.h.

## Constructor & Destructor Documentation

## MissingStructurePenalty()

template<class TElastix>

elastix::MissingStructurePenalty< TElastix >::MissingStructurePenalty | ( |  | ) |

protected

The constructor.

## ~MissingStructurePenalty()

template<class TElastix>

elastix::MissingStructurePenalty< TElastix >::~MissingStructurePenalty | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## AfterEachIteration()

template<class TElastix>

void elastix::MissingStructurePenalty< TElastix >::AfterEachIteration | ( |  | ) |

override virtual

Reimplemented from elastix::BaseComponent.

## AfterEachResolution()

template<class TElastix>

void elastix::MissingStructurePenalty< TElastix >::AfterEachResolution | ( |  | ) |

override virtual

Reimplemented from elastix::BaseComponent.

## BeforeAllBase()

template<class TElastix>

int elastix::MissingStructurePenalty< TElastix >::BeforeAllBase | ( |  | ) |

override virtual

Do some things before registration:

- Load and set the pointsets.

Reimplemented from elastix::BaseComponent.

## BeforeRegistration()

template<class TElastix>

void elastix::MissingStructurePenalty< TElastix >::BeforeRegistration | ( |  | ) |

override virtual

Reimplemented from elastix::BaseComponent.

## elxClassNameMacro()

template<class TElastix>

elastix::MissingStructurePenalty< TElastix >::elxClassNameMacro | ( | "MissingStructurePenalty< TElastix >" |  | ) |

Name of this class. Use this name in the parameter file to select this specific metric.
example: (Metric "MissingStructurePenalty")

## GetClassName()

template<class TElastix>

virtual const char * elastix::MissingStructurePenalty< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >.

## Initialize()

template<class TElastix>

void elastix::MissingStructurePenalty< TElastix >::Initialize | ( |  | ) |

override virtual

Sets up a timer to measure the initialization time and calls the Superclass' implementation.

Reimplemented from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::MissingStructurePenalty< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | MissingStructurePenalty< TElastix > |  | ) |

## itkStaticConstMacro() [1/2]

template<class TElastix>

elastix::MissingStructurePenalty< TElastix >::itkStaticConstMacro | ( | FixedImageDimension | ,
|  | unsigned int | ,
|  | FixedImageType::ImageDimension | )

The fixed image dimension.

## itkStaticConstMacro() [2/2]

template<class TElastix>

elastix::MissingStructurePenalty< TElastix >::itkStaticConstMacro | ( | MovingImageDimension | ,
|  | unsigned int | ,
|  | MovingImageType::ImageDimension | )

## New()

template<class TElastix>

Pointer elastix::MissingStructurePenalty< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## ReadMesh()

template<class TElastix>

unsigned int elastix::MissingStructurePenalty< TElastix >::ReadMesh | ( | const std::string & | meshFileName,
|  | typename FixedMeshType::Pointer & | mesh )

Function to read the corresponding points.

## ReadTransformixPoints()

template<class TElastix>

unsigned int elastix::MissingStructurePenalty< TElastix >::ReadTransformixPoints | ( | const std::string & | filename,
|  | typename MeshType::Pointer & | mesh )

## SelectNewSamples()

template<class TElastix>

void elastix::MissingStructurePenalty< TElastix >::SelectNewSamples | ( |  | ) |

inline override virtual

Overwrite to silence warning.

Reimplemented from elastix::MetricBase< TElastix >.

Definition at line 172 of file elxMissingStructurePenalty.h.

## WriteResultMesh()

template<class TElastix>

void elastix::MissingStructurePenalty< TElastix >::WriteResultMesh | ( | const std::string & | filename,
|  | MeshIdType | meshId )

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::MissingStructurePenalty< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 182 of file elxMissingStructurePenalty.h.

## m_NumberOfMeshes

template<class TElastix>

unsigned int elastix::MissingStructurePenalty< TElastix >::m_NumberOfMeshes

private

Definition at line 184 of file elxMissingStructurePenalty.h.

Generated on 1768596610 for elastix by 1.15.0 |